This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1029262 - [Performance] Test run report response time is more than 200 seconds and cause MySQL Server CPU nearly 100%
[Performance] Test run report response time is more than 200 seconds and caus...
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
Devel
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Yuguang Wang
tools-bugs
: Improvement, Performance
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 21:19 EST by Xiong Zhi Ming
Modified: 2016-05-26 09:17 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
MySQL Server CPU Used% (46.55 KB, image/png)
2013-11-11 21:19 EST, Xiong Zhi Ming
no flags Details

  None (edit)
Description Xiong Zhi Ming 2013-11-11 21:19:43 EST
Created attachment 822738 [details]
MySQL Server CPU Used%

Description of problem:
Test run report response time is more than 200 seconds and cause MySQL Server CPU nearly 100%

Version-Release number of selected component (if applicable):
V3.8.4

How reproducible:
100%

Steps to Reproduce:
1. Open a test run
2. Click Report
3.

Actual results:
231 seconds 

Expected results:
less than 15 seconds

Additional info:
test env.
Server	Function	OS	CPU	Memory	Software
------  --------        ---     ---     ------  -----------
dhcp-8-146.nay.redhat.com	DB Server	Red Hat Enterprise Linux Server release 6.3	1 CPU (4 Cores)	4G	MySQL 5.1.67
tcms-test.app.eng.nay.redhat.com	Web Server	Red Hat Enterprise Linux Server release 5.1	2VCPU	2GB	"Apache Http Server 2.2
nitrate3.8.5-1"
dhcp-8-145.nay.redhat.com	JMeter load generator	Red Hat Enterprise Linux Server release 6.3	1 CPU (8 Cores)	8G	JMeter 2.9
Comment 1 Xiong Zhi Ming 2013-12-24 03:54:50 EST
TestRun_Report elapsed time is closely related to the number of test cases of test run. Running report of test run which has 1000 test cases, it spend about 238855 ms, but Opening Test Run Report which has test cases takes 25375 ms. It's about 10 times.
Comment 2 yangqiu 2014-05-04 06:32:24 EDT
From the report 
https://docs.engineering.redhat.com/display/reporting/TCMS+V3.8.7-hotfix+performance+testing+report
Loading testrun_report page with 724 cases spent 1.98s.

Note You need to log in before you can comment on or make changes to this bug.